Gecode::MeritAFC< View > Class Template Reference

Merit class for AFC. More...

`#include <merit.hpp>`

## Public Member Functions

| MeritAFC (Space &home, const VarBranch< Var > &vb)
| Constructor for initialization.
| MeritAFC (Space &home, MeritAFC &ma)
| Constructor for cloning.
double | operator() (const Space &home, View x, int i)
| Return AFC as merit for view x at position i.
bool | notice (void) const
| Whether dispose must always be called (that is, notice is needed).
void | dispose (Space &home)
| Dispose view selection.
Public Member Functions inherited from Gecode::MeritBase< View, double >
| MeritBase (Space &home, const VarBranch< Var > &vb)
| Constructor for initialization.
bool | notice (void) const
| Whether dispose must always be called (that is, notice is needed).
void | dispose (Space &home)
| Delete view merit class.

## Protected Attributes

AFC | afc
| AFC information.

## Additional Inherited Members

Public Types inherited from Gecode::MeritBase< View, double >
typedef View | View
| View type.
typedef View::VarType | Var
| Corresponding variable type.
typedef double | Val
| Type of merit.

## Detailed Description

template<class View>
class Gecode::MeritAFC< View >

Merit class for AFC.

Definition at line 108 of file merit.hpp.

## Constructor & Destructor Documentation

## MeritAFC() [1/2]

template<class View>

Gecode::MeritAFC< View >::MeritAFC | ( | Space & | home,
|  | const VarBranch< Var > & | vb )

Constructor for initialization.

## MeritAFC() [2/2]

template<class View>

Gecode::MeritAFC< View >::MeritAFC | ( | Space & | home,
|  | MeritAFC< View > & | ma )

inline

Constructor for cloning.

Definition at line 246 of file merit.hpp.

## Member Function Documentation

## operator()()

template<class View>

double Gecode::MeritAFC< View >::operator() | ( | const Space & | home,
|  | View | x,
|  | int | i )

inline

Return AFC as merit for view x at position i.

Definition at line 250 of file merit.hpp.

## notice()

template<class View>

bool Gecode::MeritAFC< View >::notice | ( | void |  | ) | const

inline

Whether dispose must always be called (that is, notice is needed).

Definition at line 255 of file merit.hpp.

## dispose()

template<class View>

void Gecode::MeritAFC< View >::dispose | ( | Space & | home | ) |

inline

Dispose view selection.

Definition at line 261 of file merit.hpp.

## Member Data Documentation

## afc

template<class View>

AFC Gecode::MeritAFC< View >::afc

protected

AFC information.

Definition at line 112 of file merit.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/branch/merit.hpp